Loading...
Searching...
No Matches
algorithm.h File Reference

Algorithm common interface. More...

`#include <memory>`
`#include <stdint.h>`
`#include <string>`
`#include <libcamera/controls.h>`
Include dependency graph for algorithm.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::ipa::Algorithm< _Module >
| The base class for all IPA algorithms. More...
class | libcamera::ipa::AlgorithmFactory< _Algorithm >
| Registration of Algorithm classes and creation of instances. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Macros

#define | REGISTER_IPA_ALGORITHM(algorithm, name)
| Register an algorithm with the IPA module.

## Detailed Description

Algorithm common interface.

## Macro Definition Documentation

## REGISTER_IPA_ALGORITHM

#define REGISTER_IPA_ALGORITHM | ( |  | algorithm,
|  |  | name )

Value:
static AlgorithmFactory<algorithm> global_##algorithm##Factory(name);

Register an algorithm with the IPA module.

Parameters

  [in] | algorithm | Class name of Algorithm derived class to register
  [in] | name | Name of the algorithm

Register an Algorithm subclass with the IPA module to make it available for instantiation through Module::createAlgorithm(). The name identifies the algorithm and must be unique across all algorithms registered for the IPA module.